<div mat-dialog-content class="col-12">
  <div class="title"><p>New Car</p></div>
  <form [formGroup]="carForm" #formDir="ngForm">
    <div
      class="cross-validation"
      [class.cross-validation-error]="
        carForm.errors?.identityRevealed && (carForm.touched || carForm.dirty)
      "
    >
      <mat-form-field class="col-12">
        <mat-label>Manufacturer</mat-label>
        <input matInput type="text" formControlName="manufacturer" required />
      </mat-form-field>
      <mat-form-field class="col-12">
        <mat-label>Type</mat-label>
        <input matInput type="text" formControlName="type" required />
      </mat-form-field>
      <mat-form-field class="col-12">
        <mat-label>Engine Displacement</mat-label>
        <input
          matInput
          type="number"
          formControlName="engineDisplacement"
          required
        />
      </mat-form-field>
      <mat-form-field class="col-12">
        <mat-label>Color</mat-label>
        <input matInput type="color" formControlName="color" />
      </mat-form-field>
      <mat-form-field class="col-12">
        <mat-label>Design</mat-label>
        <input matInput type="text" formControlName="design" />
      </mat-form-field>
      <mat-form-field appearance="outline" class="col-12">
        <mat-label>Date Of Manufacture</mat-label>
        <input
          matInput
          type="date"
          formControlName="dateOfManufacture"
          required
        />
      </mat-form-field>
      <mat-form-field class="col-12">
        <mat-label>Website Of Manufacture</mat-label>
        <input matInput type="text" formControlName="websiteOfManufacture" />
      </mat-form-field>
    </div>
    <div mat-dialog-actions class="button-container">
      <button
        mat-button
        [disabled]="carForm.invalid"
        [mat-dialog-close]="carForm.value"
        cdkFocusInitial
      >
        Add
      </button>
      <button mat-button (click)="formDir.resetForm()">Clear</button>
      <button mat-button (click)="onNoClick()">Cancel</button>
    </div>
  </form>
</div>
